<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@2083=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@2283=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy"> <comment>Do Not enable during energy charge</comment>
    <script state="run">
      <action>maincpu.pb@2282=7F</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@08A7</action>
    </script>
    <script state="run">
      <action>maincpu.mw@08A7=0B18</action>
    </script>
    <script state="off">
      <action>maincpu.mw@08A7=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Bullet Speed Up">
    <script state="on">
      <action>temp0 =maincpu.mb@0AA6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0AA6=A8</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0AA6=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
